matchmediacon(3)

NAME
matchmediacon - get the default SELinux security context for the specified mediatype from the policy

SYNOPSIS
#include <selinux/selinux.h>

int matchmediacon(const char *media, char **con);

DESCRIPTION
matchmediacon() matches the specified media type with the media contexts configuration and sets the security context con to refer to the resulting context.

Note: Caller must free returned security context con using freecon(3).

RETURN VALUE
Returns 0 on success or -1 otherwise.

Files
/etc/selinux/{POLICYTYPE}/contexts/files/media

SEE ALSO
selinux(8), freecon(3)